「CentOS 7.4」- PHP 5.6

  FROM JENKINS AUTOMATION

更新日期:2019年08月09日

在CentOS 7.4上,默认的PHP版本为5.4,现在需要使用PHP 5.6。

搬运供上线。。。。

#!/bin/sh

# 添加仓库
yum install -y https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
yum install -y http://rpms.remirepo.net/enterprise/remi-release-7.rpm

yum install -y yum-utils

# 安装不同版本的PHP
# yum-config-manager --enable remi-php55   # [Install PHP 5.5]
# yum-config-manager --enable remi-php56 # [Install PHP 5.6]
# yum-config-manager --enable remi-php72 # [Install PHP 7.2]

################################################################################
# 安装PHP 5.6
################################################################################
yum-config-manager --enable remi-php56 # [Install PHP 5.6]
yum install -y php56
yum install -y php56-php-fpm.x86_64

# 验证版本
php -v

参考文献




文章摘要:Programming_Language:3.PHP_-_Hypertext_Preprocessor:1.Installation:Installing_PHP_5.6_on_CentOS_7.4

原文链接:「CentOS 7.4」- PHP 5.6